[geometry validation] qgis freeze while saving edits

2018-11-04 11:57 PM - Jan Lippmann

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Digitising

Affected QGIS version:3.5(master) Regression?: No

Operating System: Win 7 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28180

Description

qgis freeze while saving edits. i figure out three cases. may be there are more...

IMPORTANT: it seems that the issues occur in large scales (e.g. 1:400) , there are less problems in small scales 1:300000

cases:

1. 2nd save without delete feature (geometry_validation_freeze_delete.gif) --> this gif show the validation settings

2. 2nd delete feature (geometry_validation_freeze_delete_2.gif)

3. 2nd save after add feature (geometry_validation_freeze_add.gif)

details:

1: save button is still active after "saving-click", second additional "saving-click" -->qgis freeze

2: delete first feature and save is ok, click delete for the second feature --> qgis freeze

3: add a feature, after save the first time, the edit mode automaticlly turned off, add 2nd feature with second save click --> qgis freeze

tested with postgis vectorlayer

3.5 master and 3.4.1 are affected
History

#1 - 2018-11-04 11:59 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-11-05 09:54 AM - Antonio Viscomi

I confirm this bug appear also on shapefiles (not only on postgis layers)

#3 - 2018-11-05 11:39 AM - Antonio Viscomi

Antonio Viscomi wrote:

I confirm this bug appear also on shapefiles (not only on postgis layers)
I tried to set precision 0.01m instead of 0.001m, 

well 

the save edit works fine in this case

is it probably due to too much precision?

#4 - 2018-11-05 07:55 PM - Jan Lippmann

Antonio Viscomi wrote:

Antonio Viscomi wrote:

I confirm this bug appear also on shapefiles (not only on postgis layers)

I tried to set precision 0.01m instead of 0.001m, 

well 

the save edit works fine in this case

is it probably due to too much precision?

in my case the precision has no impact to the issue, but if i deactivate the "overlap" check there is no freeze

#5 - 2019-03-31 12:39 PM - Jan Lippmann

- Status changed from Open to Closed

no more reproduceable with 3.4.6 and 3.6.1
